@import "@/styles/variables";

.background {
    mask-image: linear-gradient(220deg, rgb(0 0 0) 1%, rgb(0 0 0 / 0%) 40%);
    mask-mode: alpha;
    background-color: $background-color;
    height: 33%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    object-fit: cover;
    object-position: 60% 0%;
    transform: translateY(-5%);

    @include tablet {
        mask-image: linear-gradient(200deg, rgb(0 0 0) 1%, rgb(0 0 0 / 0%) 50%);
    }

    @include smallscreen {
        transform: translateY(-3%);
    }

    @include desktop {
        mask-image: linear-gradient(190deg, rgb(0 0 0), rgb(0 0 0 / 0%) 56%);
    }
}
